#Query Recharge Account
#Request Path
[POST] /api/v2/bill-payment/rechargeaccount/query#Parameter List
| Name | Type | Length | Required | Description |
|---|---|---|---|---|
| sceneCode | String | - | Yes | Business scenario code【see detailed scenario codes】 |
| rechargeAccount | String | 15 | Yes | Recharge account |
| billerId | String | 32 | No | Operator ID (Betting Required) |
| itemId | String | 32 | No | Package ID (Betting Required) |
#Return Values
| Name | Type | Length | Required | Description |
|---|---|---|---|---|
| biller | String | 32 | No | Mobile phone number corresponding operator |
#Postman Request Example
#request
curl --location 'https://open-gw-sandbox.palmpay-inc.com/api/v2/bill-payment/rechargeaccount/query' \
--header 'Accept: application/json, text/plain, */*' \
--header 'CountryCode: NG' \
--header 'Authorization: Bearer 10241024' \
--header 'Signature: D11A3E8CB478C0B0F40276DDA5AFD898' \
--header 'Content-Type: application/json' \
--data '{"requestTime":1713924207725,"nonceStr":"PcTcEkSGFBCjiEhJmrdb56csbbzGkwHh","version":"V2","sceneCode":"airtime","rechargeAccount":"023409551234911"}'#response
{
"respCode": "00000000",
"respMsg": "success",
"data": {
"biller": "GLO"
},
"status": true
}#Common Error Codes
#Business Error Codes
| Error Code | Error Description | Solution |
|---|---|---|
| SBP.INVALID_PARAMETER | Invalid parameter | Check the request parameters and resend after making corrections |
| SBP.INVALID_SCENE_CODE | Invalid scenario code | Check the scenario code and resend after making corrections |
| SBP.BILLER_DISABLE | Operator unavailable | Check if the Operator ID is correct or if the Operator status is available |
| SBP.ITEM_DISABLE | Item unavailable | Check if the Item ID is correct or if the Operator status is available |
| SBP.INVALID_RECHARGE_ACCOUNT | Recharge Account invalid | Check if the Recharge Account is valid |